@echo off
@echo ***********************[ Synthesoft Support ]***********************
@echo *                                                                  *
@echo *  This batch file will generate a report containing information   *
@echo *  about the installation/configuration of Synthesoft software on  *
@echo *  this system.                                                    *
@echo *                                                                  *
@echo *  After the report is generated it will be displayed in Notepad.  *
@echo *  You can either save it to a file and send the file to us or     *
@echo *  you can cut-and-paste the contents into an email to us.         *
@echo *                                                                  *
@echo *  Note: It is normal to see some error messages as the report is  *
@echo *        being generated.                                          *
@echo *                                                                  *
@echo *  Proceed when ready.                                             *
@echo *                                                                  *
@echo ********************************************************************
pause

@echo Exporting legacy config keys...
reg export "HKCU\Control Panel\Psych" %temp%\SS000000000RPT-01.txt /y 
reg export "HKCU\Control Panel\Kine"  %temp%\SS000000000RPT-02.txt /y 
reg export "HKCU\Control Panel\Hypno" %temp%\SS000000000RPT-03.txt /y 
reg export "HKCU\Control Panel\The Psychedelic Screen Saver" %temp%\SS000000000RPT-04.txt /y 
reg export "HKCU\Control Panel\The Kinemorphic 3D Screen Saver" %temp%\SS000000000RPT-05.txt /y 
reg export "HKCU\Control Panel\The Hypnogenic Screen Saver" %temp%\SS000000000RPT-06.txt /y  

@echo Exporting keys...
reg export "HKCU\Software\Synthesoft" %temp%\SS000000000RPT-07.txt /y 
reg export "HKCU\Software\Psych" %temp%\SS000000000RPT-08.txt /y 
reg export "HKCU\Software\Kine" %temp%\SS000000000RPT-09.txt /y 
reg export "HKCU\Software\Hypno" %temp%\SS000000000RPT-10.txt /y 
reg export "HKCU\Software\CDSpectrum Pro" %temp%\SS000000000RPT-11.txt /y 

reg export "HKLM\Software\Synthesoft" %temp%\SS000000000RPT-12.txt /y 
reg export "HKLM\Software\WOW6432Node\Synthesoft" %temp%\SS000000000RPT-13.txt /y 

dir /s "%ProgramFiles(x86)%\Synthesoft\" > %temp%\SS000000000RPT-14.txt
dir "%allusersprofile%\synthesoft" > %temp%\SS000000000RPT-15.txt
@echo Compiling report...

@echo ***********************( Diagnostics Output )*********************** > %temp%\SSDiagnosticsReport.txt
@echo *                                                                  * >> %temp%\SSDiagnosticsReport.txt
@echo *  Send the entire contents of this report to Synthesoft along     * >> %temp%\SSDiagnosticsReport.txt
@echo *  with a detailed explanation of the problem you're experiencing. * >> %temp%\SSDiagnosticsReport.txt
@echo *  You can either save it to a file and send the file to us or     * >> %temp%\SSDiagnosticsReport.txt
@echo *  you can cut-and-paste the contents into an email to us.         * >> %temp%\SSDiagnosticsReport.txt
@echo *                                                                  * >> %temp%\SSDiagnosticsReport.txt
@echo ******************************************************************** >> %temp%\SSDiagnosticsReport.txt
@echo: >> %temp%\SSDiagnosticsReport.txt
ver >> %temp%\SSDiagnosticsReport.txt
@echo: >> %temp%\SSDiagnosticsReport.txt

type %temp%\SS000000000*RPT-*.txt >> %temp%\SSDiagnosticsReport.txt
@echo: >> %temp%\SSDiagnosticsReport.txt
CertUtil -hashfile %temp%\SSDiagnosticsReport.txt MD5 > %temp%\SSDiagnosticsReport.md5
type %temp%\SSDiagnosticsReport.md5 >> %temp%\SSDiagnosticsReport.txt

@echo Report complete.

start notepad %temp%\SSDiagnosticsReport.txt
